io.etcd.jetcd.kv

## Class DeleteResponse

- java.lang.Object
- - io.etcd.jetcd.AbstractResponse<DeleteRangeResponse>
  - - io.etcd.jetcd.kv.DeleteResponse

All Implemented Interfaces:
  Response

    public class DeleteResponse
    extends AbstractResponse<DeleteRangeResponse>

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.etcd.jetcd.Response

`Response.Header`

### Constructor Summary

Constructors
Constructor and Description
`DeleteResponse(DeleteRangeResponse deleteRangeResponse, ByteSequence namespace)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getDeleted()` return the number of keys deleted by the delete range request.
`List<KeyValue>` `getPrevKvs()` return previous key-value pairs.

### Methods inherited from class io.etcd.jetcd.AbstractResponse

`getHeader, getResponse, getResponseHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeleteResponse

    public DeleteResponse(DeleteRangeResponse deleteRangeResponse,
                          ByteSequence namespace)

### Method Detail

#### getDeleted

    public long getDeleted()

return the number of keys deleted by the delete range request.

#### getPrevKvs

    public List<KeyValue> getPrevKvs()

return previous key-value pairs.